// Copyright © 2002 Microsoft Corporation.  All rights reserved.
var index_target_obj = null;
var page_prev_target_obj = null;
var page_next_target_obj = null;

var index_target_obj2 = null;
var page_prev_target_obj2 = null;
var page_next_target_obj2 = null;

var containing_target_obj = null;
var scope_target_obj = null;

var bSecondPager = true;

function pgr_set_indexer_target_obj( obj ){
	if ( obj == null )	return null;
	index_target_obj = obj;
	return true;
}
function pgr_set_page_prev_target_obj( obj ){
	if ( obj == null )	return null;
	page_prev_target_obj = obj;
	return true;
}
function pgr_set_page_next_target_obj( obj ){
	if ( obj == null )	return null;
	page_next_target_obj = obj;
	return true;
}

function pgr_set_indexer_target_obj2( obj ){
	if ( obj == null )	return null;
	index_target_obj2 = obj;
	return true;
}
function pgr_set_page_prev_target_obj2( obj ){
	if ( obj == null )	return null;
	page_prev_target_obj2 = obj;
	return true;
}
function pgr_set_page_next_target_obj2( obj ){
	if ( obj == null )	return null;
	page_next_target_obj2 = obj;
	return true;
}

function pgr_set_containing_target_obj( obj ){
	if ( obj == null )	return null;
	containing_target_obj = obj;
	return true;
}
function pgr_set_scope_target_obj( obj ){
	if ( obj == null )	return null;
	scope_target_obj = obj;
	return true;
}

function hide_page_objs(){
	if ( scope_target_obj != null ) scope_target_obj.style.display = "none";
	if ( containing_target_obj != null ) containing_target_obj.style.display = "none";
	if ( index_target_obj != null ) index_target_obj.style.display = "none";
	if ( page_prev_target_obj != null ) page_prev_target_obj.style.display = "none";
	if ( page_next_target_obj != null ) page_next_target_obj.style.display = "none";
	if ( index_target_obj2 != null ) index_target_obj2.style.display = "none";
	if ( page_prev_target_obj2 != null ) page_prev_target_obj2.style.display = "none";
	if ( page_next_target_obj2 != null ) page_next_target_obj2.style.display = "none";

}

function show_page_objs(){
	if ( scope_target_obj != null ) scope_target_obj.style.display = "inline";
	if ( containing_target_obj != null ) containing_target_obj.style.display = "inline";
	if ( index_target_obj != null ) index_target_obj.style.display = "inline";
	if ( page_prev_target_obj != null ) page_prev_target_obj.style.display = "inline";
	if ( page_next_target_obj != null ) page_next_target_obj.style.display = "inline";
	if ( index_target_obj2 != null ) index_target_obj2.style.display = "inline";
	if ( page_prev_target_obj2 != null ) page_prev_target_obj2.style.display = "inline";
	if ( page_next_target_obj2 != null ) page_next_target_obj2.style.display = "inline";
}

function pgr_create_scope(){

	if ( client_search == null ) return;
	if ( scope_target_obj == null ) return;
	var win = this.parent;
	if ( win == null ) return;
	scope_target_obj.innerHTML = "";

	var type = ""; var scope = ""; 
	switch( client_search.searchtype ) {
		case 3: type = LBL_SEARCHTYPE_EXACT_PHRASE; break;
		case 2: type = LBL_SEARCHTYPE_ANY_WORD; break;
		case 0: type = LBL_SEARCHTYPE_ALL_BOOLEAN; break;
		default: type = LBL_SEARCHTYPE_ALL_WORDS;
	}

//NOTE !! knows about results document element id, idSearchLibrary
	var blibrary = document.getElementById("idSearchLibrary").checked;
	if ( blibrary == true )	scope = LBL_LIBRARY_SEARCH_RESULTS_SCOPE;
	else	scope = LBL_COURSE_SEARCH_RESULTS_SCOPE;

	var inner_txt = c_results_scope_str;
	var expstr = "%t";
	var expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace(expobj, type.toLowerCase() );
	expstr = "%s";
	expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace(expobj, scope );

	expstr = "%q";
	expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace(expobj, win.containing );
	expstr = "%e1";
	expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace(expobj, c_pager_status_emphasischar1 );
	expstr = "%e2";
	expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace(expobj, c_pager_status_emphasischar2 );

	expstr = "&";
	expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace( expobj, "&amp;" );

	expstr = "<";
	expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace( expobj, "&lt;" );

	expstr = ">";
	expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace( expobj, "&gt;" );

	expstr = "\n";
	expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace( expobj, "" );

	scope_target_obj.innerHTML = inner_txt + "<br /><br />";
	show_page_objs();
}

function pgr_create_containing(){

	if ( client_search == null ) return;
	if ( containing_target_obj == null ) return;
	var win = this.parent;
	if ( win == null ) return;
	containing_target_obj.innerHTML = "";
	var s_i = win.gate_results_last_index - win.number_of_viewed_indexes + 1;
	var e_i = win.gate_results_last_index;
	var inner_txt = c_pager_status_str;
	
	var expstr = "%p1";
	var expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace(expobj, s_i.toString() );

	var expstr = "%p2";
	var expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace(expobj, c_pager_numeric_delim );

	var expstr = "%p3";
	var expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace(expobj, e_i.toString());
	
	expstr = "%h";
	expobj = new RegExp( expstr,"g");
	inner_txt = inner_txt.replace(expobj, win.total_number_or_results );
	expstr = "%x";
	expobj = new RegExp( expstr,"g");
	if ( win.total_number_or_results == 1 )	inner_txt = inner_txt.replace(expobj, c_word_singular_result );
	else	inner_txt = inner_txt.replace(expobj, c_word_plural_result );

	containing_target_obj.innerHTML = inner_txt;
	show_page_objs();
}

function pgr_create_pagers(){					
	if ( client_search == null ) return;
	if ( index_target_obj == null ) return;
	if ( page_next_target_obj == null ) return;
	if ( page_prev_target_obj == null ) return;

	if (( index_target_obj2 == null ) ||
	    ( page_next_target_obj2 == null ) ||
	    ( page_prev_target_obj2 == null  )){
		bSecondPager = false;
	}
	var win = this.parent;
	if ( win == null ) return;
	var page_index_array = client_search.API_get_page_indexes();
	index_target_obj.innerHTML = "";
	page_next_target_obj.innerHTML = "";
	page_prev_target_obj.innerHTML = "";
	
	if ( bSecondPager ){
		index_target_obj2.innerHTML = "";
		page_next_target_obj2.innerHTML = "";
		page_prev_target_obj2.innerHTML = "";
	}

	var is_first_page = true;

	if ( page_index_array.length > 1 ) {
		for ( var i = 0; i < page_index_array.length; i++ ){
			var span = document.createElement( "span" );
			if ( span == null ) return;
			span.className = "resultindexer";
			span.resultindex = page_index_array[i];
			span.innerText = ( i + 1 ).toString() + " ";
			span.tabIndex = (0).toString();		
			if  (( win.gate_results_last_index == page_index_array[i] + win.max_results_a_page )||
				  (( i == page_index_array.length - 1 ) && ( win.gate_results_last_index > page_index_array[i]))){
				span.innerText = "[" + ( i + 1 ).toString() + "]" + " ";
				if ( i > 0 ) is_first_page = false;
			}		
			span = index_target_obj.appendChild( span );
			if ( span == null ) return;
			pgr_attach_paging_obj( "index", span );

			if ( bSecondPager ){

				span = document.createElement( "span" );
				if ( span == null ) return;
				span.className = "resultindexer";
				span.resultindex = page_index_array[i];
				span.innerText = ( i + 1 ).toString() + " ";
				span.tabIndex = (0).toString();		
				if  (( win.gate_results_last_index == page_index_array[i] + win.max_results_a_page )||
					  (( i == page_index_array.length - 1 ) && ( win.gate_results_last_index > page_index_array[i]))){
					span.innerText = "[" + ( i + 1 ).toString() + "]" + " ";
					if ( i > 0 ) is_first_page = false;
				}		
				span = index_target_obj2.appendChild( span );
				if ( span == null ) return;
				pgr_attach_paging_obj( "index", span );

			}
		}
	}

	var how_many_next = 0;
	( win.left_number_search_results < win.max_results_a_page ) ? how_many_next = win.left_number_search_results : how_many_next = win.max_results_a_page;

	var inner_txt = "";
	var expstr = "%r";
	var expobj = new RegExp( expstr,"g");
	
	if ( how_many_next > 0 ){
		inner_txt = LBL_SEARCHRESULTS_NEXT_LINK;
		if ( how_many_next == 1 ){
			expstr = "%r ";
			expobj = new RegExp( expstr,"g");
			inner_txt = inner_txt.replace(expobj, "" );
		} else {
			expstr = "%r";
			expobj = new RegExp( expstr,"g");
			inner_txt = inner_txt.replace(expobj, how_many_next );
		}
		expstr = "%x";
		expobj = new RegExp( expstr,"g");
		if ( how_many_next == 1 )	inner_txt = inner_txt.replace(expobj, c_word_singular_result );
		else			inner_txt = inner_txt.replace(expobj, c_word_plural_result );
		page_next_target_obj.innerHTML = inner_txt;
		page_next_target_obj.tabIndex = (0).toString();
		pgr_attach_paging_obj( "next", page_next_target_obj );

		if ( bSecondPager ){
			page_next_target_obj2.innerHTML = inner_txt;
			page_next_target_obj2.tabIndex = (0).toString();
			pgr_attach_paging_obj( "next", page_next_target_obj2 );
		}

	}
	
	if ( is_first_page != true ) {
		inner_txt = LBL_SEARCHRESULTS_PREVIOUS_LINK;
		expstr = "%m";
		expobj = new RegExp( expstr,"g");
		inner_txt = inner_txt.replace(expobj, win.max_results_a_page.toString() );
		expstr = "%x";
		expobj = new RegExp( expstr,"g");
		inner_txt = inner_txt.replace(expobj, c_word_plural_result );
		page_prev_target_obj.innerHTML = inner_txt;
		page_prev_target_obj.tabIndex = (0).toString();
		pgr_attach_paging_obj( "prev", page_prev_target_obj );

		if ( bSecondPager ){
			page_prev_target_obj2.innerHTML = inner_txt;
			page_prev_target_obj2.tabIndex = (0).toString();
			pgr_attach_paging_obj( "prev", page_prev_target_obj2 );
		}
		
	}

	show_page_objs();

	return;
}

function pgr_attach_paging_obj( type, obj ){
	if ( obj == null ) return false;
	if ( obj.innerText == null ) return false;
	if ( type == null ) type == "next";
	if (( type != "index" ) && ( type != "next" ) && ( type != "prev" )) type == "next"
	var index = 0;
	if ( type == "index" ) {
		if ( obj.resultindex == null ) return false;
		index = obj.resultindex;
	}
	obj.enabled = true;	
	obj.detachEvent("onmouseup", pgr_get_prev_results);
	obj.detachEvent("onmouseup", pgr_get_next_results);
	obj.detachEvent("onmouseup", pgr_get_page_number);
	obj.detachEvent("onkeyup", pgr_keys_get_prev_results);
	obj.detachEvent("onkeyup", pgr_keys_get_next_results);
	obj.detachEvent("onkeyup", pgr_keys_get_page_number);
	obj.detachEvent("onmouseup", pgr_makehotclassprev);
	obj.detachEvent("onmouseover", pgr_makehotclassnext);
	obj.detachEvent("onmouseover", pgr_makehotclasspage);
	obj.detachEvent("onmouseout", pgr_removehotclass);
	obj.detachEvent("onselectstart", pgr_cancelselection);

	var bok = obj.attachEvent("onmouseout", pgr_removehotclass);
	bok = obj.attachEvent("onselectstart", pgr_cancelselection);
	obj.className = "disabledclass";
	if ( type == "next" ) {
		bok = obj.attachEvent("onmouseover", pgr_makehotclassnext );
		bok = obj.attachEvent("onmouseup", pgr_get_next_results);
		bok = obj.attachEvent("onkeyup", pgr_keys_get_next_results);
	} else {
		if ( type == "prev" ) {
			bok = obj.attachEvent("onmouseover", pgr_makehotclassprev );
			bok = obj.attachEvent("onmouseup", pgr_get_prev_results);
			bok = obj.attachEvent("onkeyup", pgr_keys_get_prev_results);
		} else {
			bok = obj.attachEvent("onmouseover", pgr_makehotclasspage );
			bok = obj.attachEvent("onmouseup", pgr_get_page_number);
			bok = obj.attachEvent("onkeyup", pgr_keys_get_page_number);
		}
	}
}

function pgr_cancelselection(event){
    event=(window.ActiveXObject)?window.event:event;
	event.cancelBubble = true; event.returnValue = false; return false;
}

function pgr_makehotclasspage(event){
    event=(window.ActiveXObject)?window.event:event;
	event.srcElement.className = "hotclass";
}

function pgr_makehotclassprev(event){
    event=(window.ActiveXObject)?window.event:event;
	if ( client_search == null ) return;
	if ( ( parent.gate_results_last_index - parent.max_results_a_page ) > 0 ) event.srcElement.className = "hotclass";
}

function pgr_makehotclassnext(event){
    event=(window.ActiveXObject)?window.event:event;
	if ( client_search == null ) return;
	if ( parent.left_number_search_results > 0 ) event.srcElement.className = "hotclass";
}

function pgr_removehotclass(event){
    event=(window.ActiveXObject)?window.event:event;
	event.srcElement.className = "disabledclass";
	event.srcElement.enabled = false;
}

function pgr_get_prev_results(event){
    event=(window.ActiveXObject)?window.event:event;
	if ( client_search == null ) return;
	client_search.API_search_gate_results_previous();
}

function pgr_get_next_results(){
	if ( client_search == null ) return;
	client_search.API_search_gate_results_next();
}

function pgr_get_page_number(event){
    event=(window.ActiveXObject)?window.event:event;
	if ( event.srcElement.resultindex == null ) return;
	if ( client_search == null ) return;
	client_search.API_search_gate_results_indexof( event.srcElement.resultindex );
}

function pgr_keys_get_prev_results(event){
    event=(window.ActiveXObject)?window.event:event;
	if( event.keyCode != 13 ) return;
	if ( client_search == null ) return;
	client_search.API_search_gate_results_previous();
}

function pgr_keys_get_next_results(event){
    event=(window.ActiveXObject)?window.event:event;
	if( event.keyCode != 13 ) return;
	if ( client_search == null ) return;
	client_search.API_search_gate_results_next();
}

function pgr_keys_get_page_number(event){
    event=(window.ActiveXObject)?window.event:event;
	if( event.keyCode != 13 ) return;
	if ( event.srcElement.resultindex == null ) return;
	if ( client_search == null ) return;
	client_search.API_search_gate_results_indexof( event.srcElement.resultindex );
}
// SIG // Begin signature block
// SIG // MIIbDwYJKoZIhvcNAQcCoIIbADCCGvwCAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFGUQPIXarCGs
// SIG // mPDQRuiPxezLc3k3oIIV6jCCBIUwggNtoAMCAQICCmEF
// SIG // 9x4AAAAAADIwDQYJKoZIhvcNAQEFBQAweTELMAkGA1UE
// SIG // BhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNV
// SIG // BAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBD
// SIG // b3Jwb3JhdGlvbjEjMCEGA1UEAxMaTWljcm9zb2Z0IENv
// SIG // ZGUgU2lnbmluZyBQQ0EwHhcNMDkwNzEzMjMwMDE4WhcN
// SIG // MTAxMDEzMjMxMDE4WjCBgzELMAkGA1UEBhMCVVMxEzAR
// SIG // BgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1v
// SIG // bmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
// SIG // bjENMAsGA1UECxMETU9QUjEeMBwGA1UEAxMVTWljcm9z
// SIG // b2Z0IENvcnBvcmF0aW9uMIIBIjANBgkqhkiG9w0BAQEF
// SIG // AAOCAQ8AMIIBCgKCAQEAtYypnJSEYRrMLiLEoJNkCd6F
// SIG // obCQXfzJbGi18e/8jmv0+KBu11HeYKMnY9T237ZM0kUL
// SIG // pz3Yb/7tpxhj0x/GgdS/BzeXQCt/519aNdmTT6vzKpLw
// SIG // po2B7AUk3Nu4YWNTYQI1ONa49e57VKbJWDXp9BXv2gds
// SIG // BS1NpLa6mzu4MTB+RbypoSU5DEOkRzuXnCBEcjfPUKBN
// SIG // TfTDZdxE0Qg7ON0+xRdsRsetcyTAj4nB6uq6zWipEtZY
// SIG // DFMWDP45A9aB8j5cV/N622bhBxjZGQMU9uZFmSpRTJDX
// SIG // Wu+vtzsMKU1tIK4Ht5Iu6GnKnzBC58MyigsiSjLonAzG
// SIG // UQMmAW2ScwIDAQABo4IBAjCB/zATBgNVHSUEDDAKBggr
// SIG // BgEFBQcDAzAdBgNVHQ4EFgQUh4G33+76d/pZBWM3BArX
// SIG // 6dqg4OAwDgYDVR0PAQH/BAQDAgeAMB8GA1UdIwQYMBaA
// SIG // FFdFdBxdsPbIQwXgjFQtjzKn/kiWMEkGA1UdHwRCMEAw
// SIG // PqA8oDqGOGh0dHA6Ly9jcmwubWljcm9zb2Z0LmNvbS9w
// SIG // a2kvY3JsL3Byb2R1Y3RzL0NvZGVTaWdQQ0EuY3JsME0G
// SIG // CCsGAQUFBwEBBEEwPzA9BggrBgEFBQcwAoYxaHR0cDov
// SIG // L3d3dy5taWNyb3NvZnQuY29tL3BraS9jZXJ0cy9Db2Rl
// SIG // U2lnUENBLmNydDANBgkqhkiG9w0BAQUFAAOCAQEANiGE
// SIG // 9Y+DIU2HqD+L58WkD0wwbll0mwuXdBapsfNwpK/CDDMk
// SIG // 86BK+sHkIca22epcW5Fh9yJt/zH8F07XzUDjndLltNL6
// SIG // jWwH2neayivuDVlHzwTCEGf66ulDO7fm0ZzZjiNgbhKb
// SIG // w9l+XFcy3ZQN333FSJJNSHa3osBTlT78OqOTfPKFBMfG
// SIG // hTiXNvgSkyIAmU55r5brWiCDrNBcWjCwAOJrOY8kido9
// SIG // DKRGeWI2U2rXyc2SCPuH5VT1fFnFxHd9sMEsmMeXbEOn
// SIG // +CD4g1RknmD44kqlZ9RJv1SIfVJE81HAJtHFfPCJ1hEJ
// SIG // KMJFRYAdkCK9jqIFPjyzT73XOeCIkzCCBM0wggO1oAMC
// SIG // AQICCmEWtSkAAAAAABAwDQYJKoZIhvcNAQEFBQAwdzEL
// SIG // MAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
// SIG // EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
// SIG // c29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMYTWljcm9z
// SIG // b2Z0IFRpbWUtU3RhbXAgUENBMB4XDTEwMDEwNDIxMTIw
// SIG // M1oXDTEzMDEwNDIxMjIwM1owgbYxCzAJBgNVBAYTAlVT
// SIG // MRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdS
// SIG // ZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9y
// SIG // YXRpb24xEDAOBgNVBAsTB25DaXBoZXIxJzAlBgNVBAsT
// SIG // Hm5DaXBoZXIgRFNFIEVTTjpBQ0QzLUFFNjYtRTBCNTEl
// SIG // MCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2Vy
// SIG // dmljZTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoC
// SIG // ggEBAOMoqtk8Q0L4BhO64sf5wS9ZyzyV51SQbMNYlWKz
// SIG // D2y9g9stWIgIkgvbzXbHVsbg7irTiDtcyqlwowAjIixT
// SIG // OOhQx/EUCY0dy3yL9aYza6/IRl9Le17556bHL0KFZzaN
// SIG // YEryE2bcsDltzhDK3XIFWHKd8gA7ADntJlM+Hs3uUJLN
// SIG // hfQ6/YGhBV8L6UQO79VZQCYoy4JOTivIFCK7cB3kPdH9
// SIG // YHZUTDns73c4i4z+dK/nFvRwMbjLrdTdi7b6AK3tdBSw
// SIG // Rb78ZYjhrfxJ21/R1M50edSNhm+z9ZcHIS2aYcn8uhtM
// SIG // 0uiruVDk0yv0wdlN1kCsFKeIhXNeaD5jt0HUZr0CAwEA
// SIG // AaOCARkwggEVMB0GA1UdDgQWBBTh8K4PDQX8MvMcfRl/
// SIG // z8TFv5FVTTAfBgNVHSMEGDAWgBQjNPjZUkZwCu1A+3b7
// SIG // syuwwzWzDzBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8v
// SIG // Y3JsLm1pY3Jvc29mdC5jb20vcGtpL2NybC9wcm9kdWN0
// SIG // cy9NaWNyb3NvZnRUaW1lU3RhbXBQQ0EuY3JsMFgGCCsG
// SIG // AQUFBwEBBEwwSjBIBggrBgEFBQcwAoY8aHR0cDovL3d3
// SIG // dy5taWNyb3NvZnQuY29tL3BraS9jZXJ0cy9NaWNyb3Nv
// SIG // ZnRUaW1lU3RhbXBQQ0EuY3J0MBMGA1UdJQQMMAoGCCsG
// SIG // AQUFBwMIMA4GA1UdDwEB/wQEAwIGwDANBgkqhkiG9w0B
// SIG // AQUFAAOCAQEAjVtJKFSHyYqpk/6b+I1UcSCdwDiTJym5
// SIG // y5ZTios1tZQ3Fli9nj4XJ19ZL+Rdfh3iWdwH+2IY5WO/
// SIG // 9AvPTdpbMPbImv8mWb8ZwxCy8OMewQyZ2lWSxswS38BY
// SIG // TN2a1B0j+YYSROcmAuiAQWgWVDYdp2WzxDOh46SY2b5i
// SIG // kE+SN7apiBdUSB+dwiLYciq5wzCTPjfsKam5zgvVwskW
// SIG // pudeVQ3MgYRh6SwD25umG1MCOIsKWJEXyHFwFs4uxmP8
// SIG // eZ+DBIK0gecvV2mtuKUfIzZ29hWUhgoe6t0RO2ZE0hVa
// SIG // z6YrKB9OxQpzV0uVA2Ci6+kyfr09j6a9SSopwVcxwBDf
// SIG // UTCCBgcwggPvoAMCAQICCmEWaDQAAAAAABwwDQYJKoZI
// SIG // hvcNAQEFBQAwXzETMBEGCgmSJomT8ixkARkWA2NvbTEZ
// SIG // MBcGCgmSJomT8ixkARkWCW1pY3Jvc29mdDEtMCsGA1UE
// SIG // AxMkTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0
// SIG // aG9yaXR5MB4XDTA3MDQwMzEyNTMwOVoXDTIxMDQwMzEz
// SIG // MDMwOVowdzELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldh
// SIG // c2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNV
// SIG // BAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UE
// SIG // AxMYTWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAn6Fssd/b
// SIG // SJIqfGsuGeG94uPFmVEjUK3O3RhOJA/u0afRTK10MCAR
// SIG // 6wfVVJUVSZQbQpKumFwwJtoAa+h7veyJBw/3DgSY8InM
// SIG // H8szJIed8vRnHCz8e+eIHernTqOhwSNTyo36Rc8J0F6v
// SIG // 0LBCBKL5pmyTZ9co3EZTsIbQ5ShGLieshk9VUgzkAyz7
// SIG // apCQMG6H81kwnfp+1pez6CGXfvjSE/MIt1NtUrRFkJ9I
// SIG // AEpHZhEnKWaol+TTBoFKovmEpxFHFAmCn4TtVXj+AZod
// SIG // UAiFABAwRu233iNGu8QtVJ+vHnhBMXfMm987g5OhYQK1
// SIG // HQ2x/PebsgHOIktU//kFw8IgCwIDAQABo4IBqzCCAacw
// SIG // DwYDVR0TAQH/BAUwAwEB/zAdBgNVHQ4EFgQUIzT42VJG
// SIG // cArtQPt2+7MrsMM1sw8wCwYDVR0PBAQDAgGGMBAGCSsG
// SIG // AQQBgjcVAQQDAgEAMIGYBgNVHSMEgZAwgY2AFA6sgmBA
// SIG // VieX5SUT/CrhClOVWeSkoWOkYTBfMRMwEQYKCZImiZPy
// SIG // LGQBGRYDY29tMRkwFwYKCZImiZPyLGQBGRYJbWljcm9z
// SIG // b2Z0MS0wKwYDVQQDEyRNaWNyb3NvZnQgUm9vdCBDZXJ0
// SIG // aWZpY2F0ZSBBdXRob3JpdHmCEHmtFqFKoKWtTHNY9AcT
// SIG // LmUwUAYDVR0fBEkwRzBFoEOgQYY/aHR0cDovL2NybC5t
// SIG // aWNyb3NvZnQuY29tL3BraS9jcmwvcHJvZHVjdHMvbWlj
// SIG // cm9zb2Z0cm9vdGNlcnQuY3JsMFQGCCsGAQUFBwEBBEgw
// SIG // RjBEBggrBgEFBQcwAoY4aHR0cDovL3d3dy5taWNyb3Nv
// SIG // ZnQuY29tL3BraS9jZXJ0cy9NaWNyb3NvZnRSb290Q2Vy
// SIG // dC5jcnQwEwYDVR0lBAwwCgYIKwYBBQUHAwgwDQYJKoZI
// SIG // hvcNAQEFBQADggIBABCXisNcA0Q23em0rXfbznlRTQGx
// SIG // LnRxW20ME6vOvnuPuC7UEqKMbWK4VwLLTiATUJndekDi
// SIG // V7uvWJoc4R0Bhqy7ePKL0Ow7Ae7ivo8KBciNSOLwUxXd
// SIG // T6uS5OeNatWAweaU8gYvhQPpkSokInD79vzkeJkuDfcH
// SIG // 4nC8GE6djmsKcpW4oTmcZy3FUQ7qYlw/FpiLID/iBxoy
// SIG // +cwxSnYxPStyC8jqcD3/hQoT38IKYY7w17gX606Lf8U1
// SIG // K16jv+u8fQtCe9RTciHuMMq7eGVcWwEXChQO0toUmPU8
// SIG // uWZYsy0v5/mFhsxRVuidcJRsrDlM1PZ5v6oYemIp76Kb
// SIG // KTQGdxpiyT0ebR+C8AvHLLvPQ7Pl+ex9teOkqHQ1uE7F
// SIG // cSMSJnYLPFKMcVpGQxS8s7OwTWfIn0L/gHkhgJ4VMGbo
// SIG // QhJeGsieIiHQQ+kr6bv0SMws1NgygEwmKkgkX1rqVu+m
// SIG // 3pmdyjpvvYEndAYR7nYhv5uCwSdUtrFqPYmhdmG0bqET
// SIG // pr+qR/ASb/2KMmyy/t9RyIwjyWa9nR2HEmQCPS2vWY+4
// SIG // 5CHltbDKY7R4VAXUQS5QrJSwpXirs6CWdRrZkocTdSIv
// SIG // MqgIbqBbjCW/oO+EyiHW6x5PyZruSeD3AWVviQt9yGnI
// SIG // 5m7qp5fOMSn/DsVbXNhNG6HY+i+ePy5VFmvJE6P9MIIG
// SIG // gTCCBGmgAwIBAgIKYRUIJwAAAAAADDANBgkqhkiG9w0B
// SIG // AQUFADBfMRMwEQYKCZImiZPyLGQBGRYDY29tMRkwFwYK
// SIG // CZImiZPyLGQBGRYJbWljcm9zb2Z0MS0wKwYDVQQDEyRN
// SIG // aWNyb3NvZnQgUm9vdCBDZXJ0aWZpY2F0ZSBBdXRob3Jp
// SIG // dHkwHhcNMDYwMTI1MjMyMjMyWhcNMTcwMTI1MjMzMjMy
// SIG // WjB5MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGlu
// SIG // Z3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMV
// SIG // TWljcm9zb2Z0IENvcnBvcmF0aW9uMSMwIQYDVQQDExpN
// SIG // aWNyb3NvZnQgQ29kZSBTaWduaW5nIFBDQTCCASIwDQYJ
// SIG // KoZIhvcNAQEBBQADggEPADCCAQoCggEBAJ+N34U3jLEG
// SIG // VmY2TtQK6zYjkR6vq41Y6cTPwZ86CiTExMResO4VFMX6
// SIG // PpkzaxlpcvR8BV/lmSVE1zUZipDcKI6QDO/VkGGt3twY
// SIG // cC2DyW+vhSz43bm5MP1xeByD/cipuYJnDXq4wQnCvBaX
// SIG // Vz8cmNNp1zCQkJCNMB/YJtSee4jZ4gntl0lF6wRSgXV7
// SIG // uLUiuC5Wu9fPqU48CoOiqDrFrbYBDmrPIrQjH2zVJ+e3
// SIG // fsG01TKteSUcQobinYX0V9obWS8tJpIpxbPXhaOeYFqU
// SIG // 5nuce16CNEtt/9TuJ9Ci3NGQDM59DhV8iKw0x8BsmIRK
// SIG // yUR5aCjfIoMNuIosSGHi/hECAwEAAaOCAiMwggIfMBAG
// SIG // CSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRXRXQcXbD2
// SIG // yEMF4IxULY8yp/5IljALBgNVHQ8EBAMCAcYwDwYDVR0T
// SIG // AQH/BAUwAwEB/zCBmAYDVR0jBIGQMIGNgBQOrIJgQFYn
// SIG // l+UlE/wq4QpTlVnkpKFjpGEwXzETMBEGCgmSJomT8ixk
// SIG // ARkWA2NvbTEZMBcGCgmSJomT8ixkARkWCW1pY3Jvc29m
// SIG // dDEtMCsGA1UEAxMkTWljcm9zb2Z0IFJvb3QgQ2VydGlm
// SIG // aWNhdGUgQXV0aG9yaXR5ghB5rRahSqClrUxzWPQHEy5l
// SIG // MFAGA1UdHwRJMEcwRaBDoEGGP2h0dHA6Ly9jcmwubWlj
// SIG // cm9zb2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL21pY3Jv
// SIG // c29mdHJvb3RjZXJ0LmNybDBUBggrBgEFBQcBAQRIMEYw
// SIG // RAYIKwYBBQUHMAKGOGh0dHA6Ly93d3cubWljcm9zb2Z0
// SIG // LmNvbS9wa2kvY2VydHMvTWljcm9zb2Z0Um9vdENlcnQu
// SIG // Y3J0MHYGA1UdIARvMG0wawYJKwYBBAGCNxUvMF4wXAYI
// SIG // KwYBBQUHAgIwUB5OAEMAbwBwAHkAcgBpAGcAaAB0ACAA
// SIG // qQAgADIAMAAwADYAIABNAGkAYwByAG8AcwBvAGYAdAAg
// SIG // AEMAbwByAHAAbwByAGEAdABpAG8AbgAuMBMGA1UdJQQM
// SIG // MAoGCCsGAQUFBwMDMA0GCSqGSIb3DQEBBQUAA4ICAQAw
// SIG // vLAgpGKgp+85JmE93KzGmdCGxC71gzJlXiI+m9aG+Oi2
// SIG // n8qL1jt1C6GRPkzdZHSMSfKIjBhnbP4VZka4OkZCl8iR
// SIG // N9Qksees0+pBFIN308lPBV+jFFK/lqQvPlZbEHXOU8PO
// SIG // BVRptGXJJKUP4SW4GrlN5QK5UB5Ps5gMHZUC7iJZrSLL
// SIG // BXQLBEV7BFng2A+z60z4YN3CeJ7Rup9r9/PufkQRQNK9
// SIG // uptLFghupL5V5KY4EqNI9BxVeoog0X3+kduUjy/Ce2um
// SIG // ZIVPo+UsNCldC7/1xzgvxCDEVjH2ac6F+AqR7NDWrro4
// SIG // BQzrbk9MnAMpqqL8GKApDA1cXFYjV9oclg3IJjbBRMvl
// SIG // 4eZvieeP6Zi1c9N44+2jATx05V68bPYhiWcF7JedtbH9
// SIG // r6bpcqXDNOEvn/n0ajniLQSCW/zQnK58nRH55rVTGXS6
// SIG // OUo5631Cs0o7Nz3CSnsnmOfiTpsbSlQ4aiM3vmq3SO7q
// SIG // Qg1JJJGOtwQul2/k50W7j039YNnXWcLYgNZgNHu3oZMg
// SIG // /oG4qqVcCemKDb4oTX7X6A/tZXjRMV+5ZtvfQucLzAIH
// SIG // jd//IAajRWW0szKNLpHiTbSpyfq8awQOsp/qn96kyQqW
// SIG // 9I332Jio8IUCCFmkIKYsCxryUgbtaeVkGBvgo6veynwU
// SIG // YUO4ZfU2o1UTK2csTRswTDGCBJEwggSNAgEBMIGHMHkx
// SIG // CzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9u
// SIG // MRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
// SIG // b3NvZnQgQ29ycG9yYXRpb24xIzAhBgNVBAMTGk1pY3Jv
// SIG // c29mdCBDb2RlIFNpZ25pbmcgUENBAgphBfceAAAAAAAy
// SIG // MAkGBSsOAwIaBQCggb4wGQYJKoZIhvcNAQkDMQwGCisG
// SIG // AQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEOMAwGCisGAQQB
// SIG // gjcCARUwIwYJKoZIhvcNAQkEMRYEFIE/lfwknPgvcKKX
// SIG // RURccMia51rwMF4GCisGAQQBgjcCAQwxUDBOoCaAJABN
// SIG // AGkAYwByAG8AcwBvAGYAdAAgAEwAZQBhAHIAbgBpAG4A
// SIG // Z6EkgCJodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20vbGVh
// SIG // cm5pbmcgMA0GCSqGSIb3DQEBAQUABIIBAI0jnwcu3QwR
// SIG // U2HTpN0ZJLr9Ey+oOJPrSWOB2y4MLY9lyfqfR+D4FRCU
// SIG // 9NaGLLMeIHyuhrYfHf34cZ/1D/x8mpx25nWUCQZZuvbO
// SIG // y26ZLofXFVM6Eh+PA3bgmZFKX/PO4bhwaxBa2FHyYcTH
// SIG // 9tQfg622WLM8ReqZTG/r0VnQAh0q8/DPwGbMk1OJA4E8
// SIG // oIdQmFJuZIynqXb961KdDqly9V12QjEzj53OvIUCnUsh
// SIG // dzVsb401wqc87XK5VnnL/1nWecNYR2KfGixnmPSttqO7
// SIG // /YxL3J5plxWUOS+ORQkyEewYAhEmHq7PRGxBVkKS9wRn
// SIG // PM5+xb65FLzy2+TQUjp0AEWhggIdMIICGQYJKoZIhvcN
// SIG // AQkGMYICCjCCAgYCAQEwgYUwdzELMAkGA1UEBhMCVVMx
// SIG // EzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1Jl
// SIG // ZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3Jh
// SIG // dGlvbjEhMB8GA1UEAxMYTWljcm9zb2Z0IFRpbWUtU3Rh
// SIG // bXAgUENBAgphFrUpAAAAAAAQMAcGBSsOAwIaoF0wGAYJ
// SIG // KoZIhvcNAQkDMQsGCSqGSIb3DQEHATAcBgkqhkiG9w0B
// SIG // CQUxDxcNMTAwMjE5MjIzNzM2WjAjBgkqhkiG9w0BCQQx
// SIG // FgQUfEAYiuI8nF7ykQH+1/QfWRrEHCIwDQYJKoZIhvcN
// SIG // AQEFBQAEggEAZ8AeJA6wbfLdaU2VhzAA4RU33lVNAVp5
// SIG // +8cS1MX6y/HP+iW9McegJ39qWRhJd0uWLUCuAJj5RrKP
// SIG // ys/dOzpP1VQZHkZnyAyqZFvglkFjyxkO+N/WxJINIpks
// SIG // cLdJiFudq8TqnKm4yqiGNBdfa7WDpIBOXSqZDicJEsAC
// SIG // WLhbx+IVoFVA0zXx9qpefjMoc1j/vBnX1LGE91deSj9l
// SIG // lVAZHZq3zTljhMhD2yP7xfwb1pRkvRwtqxgIh/5jkQjs
// SIG // tOMyXseL1NcIP/WnA5tD0yb7wNXfu5ep68u8JTcCo/zo
// SIG // 3XBcBSeuyVMr2IzaSJt6vU7sIKeG/RruSZqNtYuEGzXvTA==
// SIG // End signature block
